package Sophos::Product::Info::PMX;
use strict;
use warnings;
use PureMessage::Version;
use Sophos::Product::Config qw(%config);
use Sophos::Product::OS;
use Net::Domain;

our $FORCED_PRODUCT = undef;

sub new {
  my $class = shift;
  return bless {}, $class;
}

sub hostname {
    return Net::Domain::hostname();
}

sub fqdn {
    return Net::Domain::hostfqdn();
}

sub name {
    return 'PMX';
}

sub version {
    return $PureMessage::Version::VERSION;
}

sub is_current_product {
    return $FORCED_PRODUCT if defined $FORCED_PRODUCT;
    return (!-e q{/etc/sophox-release}) ? 1 : 0;
}

{
    my %utils = %{$Sophos::Product::Config::config{product}};

    sub get_util {
        my ($self, $util) = @_;
        die "no such utility defined" unless exists($utils{$util});
        return $utils{$util};
    }
}

1;
